#============================================================================
# perl_makefile_blib_create.mk

# Provide some small support for using Makefile.PL.  See also
# perl_makefile_blib_install.mk

PERL_MAKEFILE_BLIB_CREATE_MK =

# This creates a Makefile.blib such that the blib directory will be
# written in $(top_builddir)/blib.
# 
# Usage:
#
# Because Makefile.PL may be generated, set MAKEFILE_PL to the
# actual path to it.
#
# Makefile.PL must generate a Makefile.blib using
# the following option to WriteMakefile:
#
#	       FIRST_MAKEFILE => 'Makefile.lib',
#
# The invoking Makefile.am must include a target which has a rule of
#
#	$(MAKE) -f Makefile.blib
#
# and ensure that it is called

# prerequisite checks
PERL_BLIB_MK +=
PERL_COMPILE_MK +=

INSTALL_BASE = $(exec_prefix)
MAKEFILE_PL_ARGS =				\
		INST_LIB=$(blib)/lib		\
		INST_ARCHLIB=$(blib)/arch	\
		INST_MAN1DIR=$(blib)/man1	\
		INST_MAN3DIR=$(blib)/man3	\
		INST_SCRIPT=$(blib)/script	\
		INST_BIN=$(blib)/bin		\
		INSTALL_BASE=$(INSTALL_BASE)

Makefile.blib : $(MAKEFILE_PL)
	$(PERL_ENV_SETUP); $(PERL) $(MAKEFILE_PL) $(MAKEFILE_PL_ARGS)

clean-local :
	if [ -f Makefile.blib ]; then $(MAKE) -f Makefile.blib clean ; fi
	rm -rf $(blib)

distclean-local :
	if [ -f Makefile.blib ]; then $(MAKE) -f Makefile.blib realclean ; fi
	rm -rf  Makefile.blib.old
